#!/bin/sh

echo "--- P5 Installation ---"

echo "Installing Java 17 ..."
sudo apt update -y
sudo apt install openjdk-17-jre-headless -y
echo "Java installation complete."
echo "Installing FFMpeg ..."
sudo apt-get install ffmpeg -y
echo "FFMpeg installation complete."
echo "Copying server file ..."
sudo mkdir /opt/p5
sudo cp p5.jar /opt/p5/p5.jar
sudo chmod +x /opt/p5/p5.jar
echo "Done copying."
echo "Installing service ..."
sudo cp p5.service /etc/systemd/system/
sudo systemctl enable p5
sudo systemctl start p5
echo "Done installing service." 

echo "Installation done!"
 
